# VecMAXPY

Computes y = y + sum alpha[j] x[j]

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecMAXPY(Vec y,PetscInt nv,const PetscScalar alpha[],Vec *x)

Collective on Vec

### Input Parameters

| nv | - number of scalars and x-vectors
| alpha | - array of scalars
| y | - one vector
| x | - array of vectors

### See Also

VecAXPY(), VecWAXPY(), VecAYPX()

Level:intermediate
Location: src/vec/vec/interface/rvector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex1.c.html
src/vec/vec/examples/tutorials/ex1e.c.html
src/vec/vec/examples/tutorials/ex1f.F.html
src/vec/vec/examples/tutorials/ex1f90.F.html